> This page is for プラットフォーム, version V4 (default).
> For other versions, use one of these documentation indexes:
> - V4 (default): https://next.developer.frame.io/platform/v4/llms.txt
> - V4 Experimental: https://next.developer.frame.io/platform/v4-experimental/llms.txt
> - レガシー: https://next.developer.frame.io/platform/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://next.developer.frame.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server.

# 共有からアセットを削除

DELETE https://api.frame.io/v4/accounts/{account_id}/shares/{share_id}/assets/{asset_id}

Remove an asset currently in the share from that share. Rate Limits: 10 calls per 1.00 minute(s) per account\_user

Reference: https://next.developer.frame.io/platform/api-reference/shares/remove-asset

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account_id` (string, required)
- `share_id` (string, required)
- `asset_id` (string, required)

## Response

### 200

OK

- `data` (RemoveAssetResponseData, required)

## Errors

### 400 Bad Request Error

Bad request

- `errors` (list of BadRequestErrorsItems, required)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of UnauthorizedErrorsItems, required)

### 403 Forbidden Error

Forbidden

- `errors` (list of ForbiddenErrorsItems, required)

### 404 Not Found Error

Not found

- `errors` (list of NotFoundErrorsItems, required)

### 409 Conflict Error

Conflict

- `errors` (list of ConflictErrorsItems, required)

### 422 Unprocessable Entity Error

Unprocessable content

- `errors` (list of UnprocessableContentErrorsItems, required)

### 429 Too Many Requests Error

Too many requests

- `errors` (list of TooManyRequestsErrorsItems, required)

## Types

### RemoveAssetResponseData

- `access` (enum, required)
  - Allowed values: `public`, `secure`
- `asset_removed` (string, required) — ID for asset added
- `collection_id` (string, required) — Collection ID
- `commenting_enabled` (boolean, required) — Whether commenting is enabled on the share
- `created_at` (string, required) — Creation timestamp
- `description` (string, required, nullable) — Share description
- `downloading_enabled` (boolean, required) — Whether downloading is enabled on the share
- `enabled` (boolean, required) — Whether the share link is active
- `expiration` (string, required, nullable) — Expiration timestamp
- `id` (string, required) — Share ID
- `last_viewed_at` (string, required, nullable) — Last viewed timestamp
- `name` (string, required, nullable) — Share name
- `short_url` (string, required, nullable) — Share URL
- `updated_at` (string, required) — Update timestamp
- `accent_color` (string, optional, nullable) — Hex code for accent color
- `captions_enabled` (boolean, optional, nullable) — Whether reviewers can view captions on shared assets
- `card_aspect_ratio` (enum, optional) — Aspect ratio of cards. Applies to layouts: grid, reel.
  - Allowed values: `horizontal`, `square`, `vertical`
- `card_info_enabled` (boolean, optional) — Whether to show card info (metadata) on cards when layout is grid
- `card_size` (enum, optional) — Relative size of cards when layout is grid
  - Allowed values: `small`, `medium`, `large`
- `drm_enabled` (boolean, optional) — Whether digital rights management is enabled on the share
- `editable_fields_enabled` (boolean, optional) — When true, all visible non-system fields can be edited by share recipients. When false, only the featured field is editable.
- `featured_field_definition_id` (string, optional, nullable) — ID of the field definition to set as the featured (always-editable) field for share recipients
- `forensic_watermark_enabled` (boolean, optional) — Whether forensic watermarking is enabled on the share
- `icons_visible_on_list` (boolean, optional) — Whether visible-field icons are shown alongside text when layout is list
- `layout` (enum, optional) — Share layout. Required when updating appearance fields
  - Allowed values: `grid`, `list`, `reel`
- `list_row_size` (enum, optional) — Row size when layout is list
  - Allowed values: `small`, `medium`, `large`
- `name_column_width` (integer, optional, nullable) — Width of the name column in pixels when layout is list
- `open_in_viewer_enabled` (boolean, optional) — Whether shares with a single asset will open in a larger view. Applies to layouts: grid, list.
- `passphrase` (string, optional, nullable) — Passphrase to access share, if passphrase is required and not given it will be generated
- `reel_card_aspect_ratio` (enum, optional) — Aspect ratio of cards when layout is reel
  - Allowed values: `horizontal`, `square`, `vertical`
- `reel_card_fit_image` (boolean, optional) — Thumbnail scale when layout is reel. `true` fills the card (may crop); `false` fits the thumbnail inside the card.
- `show_all_asset_versions` (boolean, optional, nullable) — Whether reviewers can see every version in a shared version stack (rather than only the head version)
- `show_asset_name_in_reel_layout` (boolean, optional) — Whether the asset name is displayed when layout is reel
- `sort_by` (ShareSortBy, optional) — Field ID and direction by which share assets will be sorted
- `theme` (enum, optional) — Color theme
  - Allowed values: `dark`, `light`, `neutral`
- `thumbnail_scale` (enum, optional) — Thumbnail scale. `fill` may crop; `fit` letterboxes inside the card.
  - Allowed values: `fit`, `fill`
- `title_line_count` (integer, optional) — Number of lines for the card title (1 or 2) when layout is grid
- `transcripts_enabled` (boolean, optional, nullable) — Whether reviewers can view transcripts on shared assets
- `visible_field_definition_ids` (list of string, optional) — IDs of field definitions to show in the share. Applies to the share's active layout. When omitted, inherits from the project's default field visibility.
- `watermark_enabled` (boolean, optional, nullable) — Whether watermarking is enabled on the share

### BadRequestErrorsItems

- `detail` (string, required)
- `source` (BadRequestErrorsItemsSource, optional)
- `title` (string, optional)

### UnauthorizedErrorsItems

- `detail` (string, required)
- `source` (UnauthorizedErrorsItemsSource, optional)
- `title` (string, optional)

### ForbiddenErrorsItems

- `detail` (string, required)
- `source` (ForbiddenErrorsItemsSource, optional)
- `title` (string, optional)

### NotFoundErrorsItems

- `detail` (string, required)
- `source` (NotFoundErrorsItemsSource, optional)
- `title` (string, optional)

### ConflictErrorsItems

- `detail` (string, required)
- `source` (ConflictErrorsItemsSource, optional)
- `title` (string, optional)

### UnprocessableContentErrorsItems

- `detail` (string, required)
- `source` (UnprocessableContentErrorsItemsSource, optional)
- `title` (string, optional)

### TooManyRequestsErrorsItems

- `detail` (string, required)
- `source` (TooManyRequestsErrorsItemsSource, optional)
- `title` (string, optional)

### ShareSortBy

Field ID and direction by which share assets will be sorted

- `direction` (enum, required)
  - Allowed values: `asc`, `desc`
- `field_definition_id` (string, required) — A UUID string that uniquely identifies a Frame.io entity.

### BadRequestErrorsItemsSource

- `pointer` (string, optional)

### UnauthorizedErrorsItemsSource

- `pointer` (string, optional)

### ForbiddenErrorsItemsSource

- `pointer` (string, optional)

### NotFoundErrorsItemsSource

- `pointer` (string, optional)

### ConflictErrorsItemsSource

- `pointer` (string, optional)

### UnprocessableContentErrorsItemsSource

- `pointer` (string, optional)

### TooManyRequestsErrorsItemsSource

- `pointer` (string, optional)

## Examples

**Response**

```json
{
  "data": {
    "access": "public",
    "asset_removed": "257b251a-ffce-4c5c-b3e2-c3c77e1df0b9",
    "collection_id": "d0e3db18-8f5e-4bfd-ba5e-31378b999019",
    "commenting_enabled": true,
    "created_at": "2024-02-02T21:19:24.828948Z",
    "description": "Description of share",
    "downloading_enabled": true,
    "enabled": true,
    "expiration": "2026-10-07T23:50:04.304839Z",
    "id": "8bb7e7ea-083d-4379-b386-d7e16cac7fa7",
    "last_viewed_at": "2024-03-02T21:19:24.828948Z",
    "name": "Test Share",
    "short_url": "https://f.io/GGa9wPw5",
    "updated_at": "2024-02-02T21:19:24.828948Z",
    "accent_color": "#FF0000",
    "captions_enabled": true,
    "card_aspect_ratio": "square",
    "card_info_enabled": true,
    "card_size": "medium",
    "drm_enabled": false,
    "editable_fields_enabled": false,
    "featured_field_definition_id": "de3bf623-a3c8-4f45-aaff-9d7fc07c156e",
    "forensic_watermark_enabled": false,
    "icons_visible_on_list": true,
    "layout": "grid",
    "list_row_size": "small",
    "name_column_width": null,
    "open_in_viewer_enabled": true,
    "passphrase": "as!dfj39sd(*",
    "reel_card_aspect_ratio": "square",
    "reel_card_fit_image": false,
    "show_all_asset_versions": true,
    "show_asset_name_in_reel_layout": false,
    "sort_by": {
      "direction": "asc",
      "field_definition_id": "2c7f7bbe-995b-40c9-9de9-9bd1f9ab14ab"
    },
    "theme": "dark",
    "thumbnail_scale": "fill",
    "title_line_count": 1,
    "transcripts_enabled": true,
    "visible_field_definition_ids": [
      "d9e71ca1-f08e-495a-a431-b98f63e1df64"
    ],
    "watermark_enabled": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.frame.io/v4/accounts/7dd3e268-de5d-4b38-a863-fd0c61a3a4f8/shares/37e83e78-bf99-4d11-ac83-ea36d8a15612/assets/6fd5925c-ad85-4665-ae27-d9746993d59a"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.frame.io/v4/accounts/7dd3e268-de5d-4b38-a863-fd0c61a3a4f8/shares/37e83e78-bf99-4d11-ac83-ea36d8a15612/assets/6fd5925c-ad85-4665-ae27-d9746993d59a';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.frame.io/v4/accounts/7dd3e268-de5d-4b38-a863-fd0c61a3a4f8/shares/37e83e78-bf99-4d11-ac83-ea36d8a15612/assets/6fd5925c-ad85-4665-ae27-d9746993d59a"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.frame.io/v4/accounts/7dd3e268-de5d-4b38-a863-fd0c61a3a4f8/shares/37e83e78-bf99-4d11-ac83-ea36d8a15612/assets/6fd5925c-ad85-4665-ae27-d9746993d59a")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.frame.io/v4/accounts/7dd3e268-de5d-4b38-a863-fd0c61a3a4f8/shares/37e83e78-bf99-4d11-ac83-ea36d8a15612/assets/6fd5925c-ad85-4665-ae27-d9746993d59a")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api.frame.io/v4/accounts/7dd3e268-de5d-4b38-a863-fd0c61a3a4f8/shares/37e83e78-bf99-4d11-ac83-ea36d8a15612/assets/6fd5925c-ad85-4665-ae27-d9746993d59a', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.frame.io/v4/accounts/7dd3e268-de5d-4b38-a863-fd0c61a3a4f8/shares/37e83e78-bf99-4d11-ac83-ea36d8a15612/assets/6fd5925c-ad85-4665-ae27-d9746993d59a");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/7dd3e268-de5d-4b38-a863-fd0c61a3a4f8/shares/37e83e78-bf99-4d11-ac83-ea36d8a15612/assets/6fd5925c-ad85-4665-ae27-d9746993d59a")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```